| Elektra 0.11.0

List of all members
kdb::ValueObserver Class Referenceabstract

Base class for values to be observed. More...

`#include <kdbvalue.hpp>`

Inherited by kdb::Value< T, PolicySetter1, PolicySetter2, PolicySetter3, PolicySetter4, PolicySetter5, PolicySetter6 >.

## Detailed Description

Base class for values to be observed.

updateContext() is called whenever a context tells a value that it should reevaluate its name and update its cache.

The documentation for this class was generated from the following file:

- kdbvalue.hpp